<bugID>461048<Summary>JSON module's toString is too slow for objects with large strings</Summary><Description>Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1b2pre) Gecko/20081019 Minefield/3.1b2pre (try server build)

https://build.mozilla.org/tryserver-builds/2008-10-19_15:07-ehsan.akhgari@gmail.com-try-8ddf45ad32c/

With the try server builds for Private Browsing you can recognize a drastically slow down for entering Private Browsing mode when a huge sessionstore.js is located inside the profile. My one is around 100kB in size. It will take around 15-20 seconds to enter Private Browsing mode. I'm able to see that on OS X and Windows.

Steps:
1. Create a new profile and activate Session Restore
2. Somehow try to get a huge sessionstore.js
3. Probably restart Firefox
4. Try to enter Private Browsing mode (save the session)

With the last step you have to wait around 15s until you can continue your work.

Simon, is there any simple way to reduce the size of my sessionstore.js? I would like to add it as a testcase but have to cleanup the file first. Or are you able to generate one?</Description></bugID>